<!--

this enum defined in HwaStatDefine.h
enum {
    EXPO_TYPE_YUVHDR = 0,
    EXPO_TYPE_AIRAW = 1,
    EXPO_TYPE_ELLIP = 2,
    EXPO_TYPE_NIGHT_RAWHDR = 3,
    EXPO_TYPE_MANUAL_YUVHDR = 4, //to classify hdrindex in smartae
    EXPO_TYPE_RAWHDR = 5,
    EXPO_TYPE_AIRAWLITE = 11,
    EXPO_TYPE_HDSR = 12,
    EXPO_TYPE_SUPER_NIGHT = 13 ,
    EXPO_TYPE_DARK_VISION = 14 ,
};
-->

<SmartAE>
    <Enable>1</Enable>

    
    <rule name = "SmartAE_Supernight">
        <condition name = "ExpoType" value ="EXPO_TYPE_SUPER_NIGHT"/>
        <condition name = "FeatureName">
            <value_option>mainSuperNight</value_option>
            <value_option>wideSuperNight</value_option>
            <value_option>teleSuperNight</value_option>
            <value_option>mainSuperNightBeautyNM</value_option>
            <value_option>wideSuperNightBeautyNM</value_option>
            <value_option>teleSuperNightBeautyNM</value_option>
            <value_option>mainSuperNightNM</value_option>
            <value_option>wideSuperNightNM</value_option>
            <value_option>teleSuperNightNM</value_option>
        </condition>

       <outPQ name = "Supernight" />
    </rule>
    
    <!--
    <rule name = "SmartAE_AIRAW-HDRP">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainAiRawHdrp</value_option>
            <value_option>wideAiRawHdrp</value_option>
            <value_option>teleAiRawHdrp</value_option>
            <value_option>mainAiRawHdrplite</value_option>
            <value_option>wideAiRawHdrplite</value_option>
            <value_option>mainAiRawHdrpFov</value_option>
            <value_option>wideAiRawHdrpFov</value_option>
            <value_option>mainAiRawHdrpliteFov</value_option>
            <value_option>wideAiRawHdrpliteFov</value_option>
            <value_option>wideAiRawHdrpLiteHighRes</value_option>
        </condition>

       <outPQ name = "AIRAW-HDRP" />
    </rule>

    <rule name = "SmartAE_default">
       <outPQ name = "default" />
    </rule>
    -->
</SmartAE>
